### Function

# Camel pointer_tracker_track_with_info

since: 3.6

#### Declaration [src]

    void
    camel_pointer_tracker_track_with_info (
      gpointer ptr,
      const gchar* info
    )

#### Description [src]

Adds pointer to the pointer tracker, with associated information, which is printed in summary of pointer tracker printed by camel_pointer_tracker_dump(). For convenience can be used camel_pointer_tracker_track(), which adds place of the caller as `info`. Added pointer should be removed with pair function camel_pointer_tracker_untrack().

Available since: 3.6

#### Parameters

`ptr`

  Type: `gpointer`

  Pointer to add to the pointer tracker.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`info`

  Type: `const gchar*`

  Info to print in tracker summary.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.